<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_uythacoffline.php');
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'uythacoffline')
	{
		$character = $_POST['character'];
		$pass2 = $_POST['pass2'];
		$act = $_POST['act'];
        $getuythac = $_POST['getuythac'];
		
		if (empty($character))
		{
			$error = "Chưa chọn nhân vật cần Ủy Thác";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu Web";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'act'    =>  $act,
                'getuythac'    =>  $getuythac,
                'pass2'    =>  $pass2,
                
                'pagesv'	=>	'sv_char_uythac_offline',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					$notice = $info[1];
					
					if($act == 'uythac_begin')
					{
						$_SESSION['nv_uythac_offline'] = 1;
					}
					if($act == 'uythac_end')
					{
					   if($getuythac) {
					       $_SESSION['nv_uythac_offline'] = 0;
    						$_SESSION['nv_uythac_offline_time'] = 0;
    						$_SESSION['acc_gcoin'] = $info[1];
    						$_SESSION['acc_gcoin_km'] = $info[2];
    					
    						$point_uythac_add = $info[3];
    						$phut_uythac = $info[4];
    						
    						$_SESSION['nv_point_uythac'] = $_SESSION['nv_point_uythac'] + $point_uythac_add;
    						
    						$notice = $info[5];
					   } else {
					       $_SESSION['nv_uythac_offline'] = 0;
					   }
					}
					
				}
				else $error = $reponse;
			}
		}
	}
}

if( ($_SESSION['nv_point_uythac'] + ($phut_max-$_SESSION['nv_uythac_offline_daily']) ) > $point_max ) {
    $uythac_goiy = "Bạn đã có ". $_SESSION['nv_point_uythac'] ." Điểm Ủy Thác. Tối đa bạn có thể có : $point_max Điểm Ủy Thác.<br /><strong>Bạn chỉ nên Ủy Thác trong ". ($point_max-$_SESSION['nv_point_uythac']) ." phút để nhận ". ($point_max-$_SESSION['nv_point_uythac']) ." Điểm Ủy Thác</strong>";
} elseif( $_SESSION['nv_uythac_offline_daily'] > 0 ) {
	$uythac_goiy_phut = (($phut_max-$_SESSION['nv_uythac_offline_daily'])>0) ? ($phut_max-$_SESSION['nv_uythac_offline_daily']) : 0;
	
    $uythac_goiy = "Bạn đã nhận Ủy Thác ". $_SESSION['nv_uythac_offline_daily'] ." phút Offline trong ngày. Tối đa bạn có thể Ủy Thác trong ngày : $phut_max phút.<br /><strong>Bạn chỉ nên Ủy Thác trong ". ($phut_max-$_SESSION['nv_uythac_offline_daily']) ." phút để nhận ". $uythac_goiy_phut ." Điểm Ủy Thác</strong>";
} else {
    $uythac_goiy = "Tối đa bạn có thể Ủy Thác trong 1 lần : $phut_max phút.<br /><strong>Bạn chỉ nên Ủy Thác trong $phut_max phút để nhận $phut_max Điểm Ủy Thác.</strong>";
}


$uythac_msg = "";
$phutuythac = $_SESSION['nv_uythac_offline_time'];

if( $_SESSION['nv_uythac_offline_time'] > $phut_max ) {
    $phutuythac = $phut_max;
    $uythac_msg .= "- Bạn đã Ủy Thác hơn 12 tiếng, bạn chỉ được phép Ủy thác tối đa trong 1 lần là 12 tiếng. <strong>Điểm Ủy Thác tối đa nhận được : $phut_max điểm</strong>.<br />";
}

if( ($_SESSION['nv_uythac_offline_daily'] > 0) && ($phutuythac + $_SESSION['nv_uythac_offline_daily'])>$phut_max ) {
    $phutuythac = $phut_max - $_SESSION['nv_uythac_offline_daily'];
    if($phutuythac < 0) $phutuythac = 0;
    $uythac_msg .= "- Bạn đã nhận Ủy Thác trong ngày ". $_SESSION['nv_uythac_offline_daily']. " phút. Bạn chỉ được phép Ủy Thác tối đa trong ngày 12 tiếng : $phut_max Điểm.<br />++ <strong>Bạn được phép nhận tối đa : ". $phutuythac ." Điểm Ủy Thác</strong>.<br />";
}

if( ($_SESSION['nv_point_uythac'] + $phutuythac) > $point_max) {
    $phutuythac = $point_max - $_SESSION['nv_point_uythac'];
    if($phutuythac < 0) $phutuythac = 0;
    $uythac_msg .= "- Điểm Ủy thác tối đa được phép là : $point_max Điểm. Bạn đã có : ". $_SESSION['nv_point_uythac'] ." Điểm. <br />++ <strong>Bạn được phép nhận tối đa : ". $phutuythac ." Điểm Ủy Thác</strong>.<br />";
}

$uythac_price = $phutuythac*$uythacoff_price;

$uythac_msg .=  "Cần <strong>$uythac_price</strong> Gcoin để nhận hết số Điểm Ủy Thác trong <strong>". $phutuythac ."</strong> Phút Ủy Thác";

$accept = 1;
if ($_SESSION['nv_online'] == 1 ) { $accept = 0; }

$page_template = "templates/char_manager/uythacoffline.tpl";
?>